Scan a Solana transaction
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/solana/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"message": {
"accountKeys": [
"<string>"
],
"header": {},
"instructions": [
{}
],
"addressTableLookups": [
{}
],
"recentBlockhash": "<string>"
},
"signatures": [
"<string>"
],
"rawTransaction": "<string>"
},
"url": "<string>",
"validateRecentBlockHash": true,
"showFullFindings": true,
"policy": "<string>"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/solana/scan"
payload = {
"transaction": {
"message": {
"accountKeys": ["<string>"],
"header": {},
"instructions": [{}],
"addressTableLookups": [{}],
"recentBlockhash": "<string>"
},
"signatures": ["<string>"],
"rawTransaction": "<string>"
},
"url": "<string>",
"validateRecentBlockHash": True,
"showFullFindings": True,
"policy": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
message: {
accountKeys: ['<string>'],
header: {},
instructions: [{}],
addressTableLookups: [{}],
recentBlockhash: '<string>'
},
signatures: ['<string>'],
rawTransaction: '<string>'
},
url: '<string>',
validateRecentBlockHash: true,
showFullFindings: true,
policy: '<string>'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/solana/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"recommendation": "<string>",
"expectedStatus": "<string>",
"findings": [
{}
],
"involvedAssets": [
{}
],
"balanceChanges": [
{}
],
"parsedActions": [
{}
],
"trace": [
{
"from": "<string>",
"to": "<string>",
"funcId": "<string>",
"callType": "<string>",
"value": 123,
"traceAddress": [
123
],
"status": "<string>",
"callInput": {
"type": "<string>",
"info": "<string>"
},
"extraInfo": {}
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Hypernative
Scan a Solana transaction
Scans a Solana transaction for security risks using Hypernative.
POST
/
clients
/
me
/
integrations
/
hypernative
/
solana
/
scan
Scan a Solana transaction
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Scan completed successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I